Keyword Intersections


This endpoint will provide you with a list of keywords for which the target products intersect in Amazon SERP. The returned results are specific to the asins specified in a POST request. Learn more about ASIN in this help center article.

checked POST
Pricing

Your account will be charged for each request.
The cost can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live API call can contain only one task. The maximum number of calls that can be sent simultaneously is limited to 30.

Below you will find a detailed description of the fields you can use for setting a task.

Description of the fields for setting a task:

Field nameTypeDescription
asinsobject

asins of target products
required field
product IDs of the products for which you need to find keyword intersections;
specify the ASINs as in the following example:
"asins": {
"1": "019005476X",
"2": "0190074442"
}

the maximum number of ASINs you can specify in this object is 20;
learn more about the parameter on this help center page

location_namestring

full name of the location
required field if don't specify location_code
you can receive the list of available locations with their location_name by making a separate request to
https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages;
Note: this endpoint currently supports the US, Egypt, Saudi Arabia, and the United Arab Emirates locations only;
example:
United Kingdom

location_codeinteger

location code
required field if don't specify location_name
you can receive the list of available locations with their location_code by making a separate request to
https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages;
Note: this endpoint currently supports the US, Egypt, Saudi Arabia, and the United Arab Emirates locations only;
example:
2840

language_namestring

full name of the language
required field if don't specify language_code
you can receive the list of available languages with their language_name by making a separate request to the
https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
example:
English

language_codestring

language code
required field if don't specify language_name
you can receive the list of available languages with their language_code by making a separate request to the
https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
example:
en

limitinteger

the maximum number of products in the results array
optional field
default value: 100;
maximum value: 1000

intersection_modestring

mode for finding asin intersections
optional field
possible values: union, intersect;
default value: intersect;
learn more about the parameter in this help center guide

filtersarray

array of results filtering parameters
optional field
you can add several filters at once (8 filters maximum)
you should set a logical operator and, or between the conditions
the following operators are supported:
regex, not_regex, <, <=, >, >=, =, <>, in, not_in, ilike, not_ilike, like, not_like, match, not_match
you can use the % operator with like and not_like, as well as ilike and not_ilike to match any string of zero or more characters
example:
["avg_position","<", 10]

for more information about filters, please refer to Dataforseo Labs - Filters or this help center guide

order_byarray

results sorting rules
optional field
you can use the same values as in the filters array to sort the results
possible sorting types:
asc - results will be sorted in the ascending order
desc - results will be sorted in the descending order
you should use a comma to set up a sorting parameter
example:
["sum_position,desc"]
note that you can set no more than three sorting rules in a single request
you should use a comma to separate several sorting rules
example:
["intersections,desc","avg_position,asc"]
default rule:
["intersections,desc"]

offsetinteger

offset in the results array of returned keywords
optional field
default value: 0
if you specify the 10 value, the first ten keywords in the results array will be omitted and the data will be provided for the successive keywords

tagstring

user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response


As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        se_typestring

search engine type

        asinsobject

ASINs in a POST array

        location_codeinteger

location code in a POST array
if there is no data, then the value is_null

        language_codestring

language code in a POST array
if there is no data, then the value is_null

        total_countinteger

total amount of results in our database relevant to your request

        items_countinteger

the number of results returned in the items array

        itemsarray

contains detected Amazon product competitors and related data

            keyword_dataobject

keyword data for the returned keyword

                se_typestring

search engine type

                keywordstring

returned keyword

                location_codeinteger

location in a POST array

                language_codestring

language in a POST array

                keyword_infoobject

keyword data for the returned keyword

                    se_typestring

search engine type

                    last_updated_timestring

date and time when keyword data was updated
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”;
example:
2019-11-15 12:57:46 +00:00

                    search_volumeinteger

average monthly search volume rate
represents the (approximate) number of searches for the returned keyword on Amazon

            intersection_resultobject

data on the intersection

                1object

intersection data for one of the ASINs in a POST request

                    se_typestring

search engine type

                    typestring

type of element='amazon_serp'

                    rank_groupinteger

position within a group of elements with identical type values
positions of elements with different type values are omitted from rank_group

                    rank_absoluteinteger

absolute rank in Amazon SERP
absolute position among all the elements in SERP

                    positionstring

the alignment of the element in Amazon SERP
can take the following values:
left, right

                    xpathstring

the XPath of the element

                    domainstring

Amazon domain

                    titlestring

product title

                    urlstring

URL of the product page

                    descriptionstring

description of the product

                    asinstring

ASIN of the product
learn more about ASIN in this help center guide

                    image_urlstring

URL of the product image featured in the results

                    price_fromfloat

the regular price of a product
example:
49.98

                    price_tofloat

the upper limit of the product price range
example:
384.99

                    currencystring

currency in the ISO format
example:
USD

                    special_offersarray

special offer details
contains special offer details, including coupon and Subscribe & Save discounts

                    is_best_sellerboolean

"Best Seller" label
if the value is true, the product is marked with the "Best Seller" label

                    is_amazon_choiceboolean

"Amazon's choice" label
if the value is true, the product is marked with the "Amazon's choice" label

                    ratingobject

the item's rating
the popularity rate based on reviews and displayed in SERP

                        rating_typestring

the type of rating
here you can find the following elements: Max5, Percents, CustomMax

                        valueinteger

the value of the rating

                        votes_countinteger

the amount of feedback

                        rating_maxinteger

the maximum value for a rating_type

                    delivery_infoobject

delivery information
delivery information including free and fast delivery date ranges

                        delivery_messagestring

delivery information
message accompanying the delivery information as posted by the seller

                        delivery_priceobject

price for the delivery
price of the delivery based on the location you specified in the POST request;
if free delivery is available, the value is null

                            currentfloat

current delivery price

                            regularfloat

regular undiscounted delivery price

                            max_valuefloat

maximum undiscounted delivery price

                            currencystring

currency in the ISO format

                            is_price_rangeboolean

indicates whether the delivery price is a range

                            displayed_pricestring

price line provided as displayed in Amazon listing


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/dataforseo_labs/amazon/product_keyword_intersections/live" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "asins": {
            "1": "B09172433Z",
            "2": "B07GBZ4Q68",
            "3": "B07GCKQD77"
        },
        "language_name": "English",
        "location_code": 2840
    }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

$post_array = array();
// simple way to set a task
$post_array[] = array(
   "asins" => [
      "1" => "B09172433Z",
      "2" => "B07GBZ4Q68",
      "3" => "B07GCKQD77"
   ],
   "language_name" => "English",
   "location_code" => 2840
);
try {
   // POST /v3/dataforseo_labs/amazon/product_keyword_intersections/live
   $result = $client->post('/v3/dataforseo_labs/amazon/product_keyword_intersections/live', $post_array);
   print_r($result);
   // do something with post result
} catch (RestClientException $e) {
   echo "n";
   print "HTTP code: {$e->getHttpCode()}n";
   print "Error code: {$e->getCode()}n";
   print "Message: {$e->getMessage()}n";
   print  $e->getTraceAsString();
   echo "n";
}
$client = null;
?>
const post_array = [];

post_array.push({
  "asins": {
    "1": "B09172433Z",
    "2": "B07GBZ4Q68",
    "3": "B07GCKQD77"
  },
  "language_name": "English",
  "location_code": 2840
});

const axios = require('axios');

axios({
  method: 'post',
  url: 'https://api.dataforseo.com/v3/dataforseo_labs/amazon/product_keyword_intersections/live',
  auth: {
    username: 'login',
    password: 'password'
  },
  data: post_array,
  headers: {
    'content-type': 'application/json'
  }
}).then(function (response) {
  var result = response['data']['tasks'];
  // Result data
  console.log(result);
}).catch(function (error) {
  console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# simple way to set a task
post_data[len(post_data)] = dict(
    asins={
         "1": "B09172433Z",
         "2": "B07GBZ4Q68",
         "3": "B07GCKQD77"
    },
    location_name="United States",
    language_name="English"
)
# POST /v3/dataforseo_labs/amazon/product_keyword_intersections/live
response = client.post("/v3/dataforseo_labs/amazon/product_keyword_intersections/live", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task dataforseo_labs_amazon_product_keyword_intersections_live()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            postData.Add(new
            {
                asins = new[]
                {
                  1: "019005476X",
                  2: "0190074442"
                },
                location_name = "United States",
                language_name = "English"
            });
            // POST /v3/dataforseo_labs/amazon/product_keyword_intersections/live
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/dataforseo_labs/amazon/product_keyword_intersections/live", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20220216",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.2532 sec.",
  "cost": 0.0105,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "02231438-2806-0376-0000-65731ec47551",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.1085 sec.",
      "cost": 0.0105,
      "result_count": 1,
      "path": [
        "v3",
        "dataforseo_labs",
        "amazon",
        "product_keyword_intersections",
        "live"
      ],
      "data": {
        "api": "dataforseo_labs",
        "function": "product_keyword_intersections",
        "se_type": "amazon",
        "language_name": "English",
        "location_code": 2840,
        "asins": {
          "1": "B09172433Z",
          "2": "B07GBZ4Q68",
          "3": "B07GCKQD77"
        }
      },
      "result": [
        {
          "se_type": "amazon",
          "asins": {
            "1": "B09172433Z",
            "2": "B07GBZ4Q68",
            "3": "B07GCKQD77"
          },
          "location_code": 2840,
          "language_code": "en",
          "total_count": 5,
          "items_count": 5,
          "items": [
            {
              "se_type": "amazon",
              "keyword_data": {
                "se_type": "amazon",
                "keyword": "deathadder white",
                "location_code": 2840,
                "language_code": "en",
                "keyword_info": {
                  "se_type": "amazon",
                  "last_updated_time": "2022-02-05 14:53:16 +00:00",
                  "search_volume": 1000
                }
              },
              "intersection_result": {
                "1": {
                  "se_type": "amazon",
                  "type": "amazon_serp",
                  "rank_group": 4,
                  "rank_absolute": 5,
                  "position": "left",
                  "xpath": "/html[1]/body[1]/div[1]/div[2]/div[1]/div[1]/div[1]/span[3]/div[2]/div[8]",
                  "domain": "www.amazon.com",
                  "title": "LeadsaiL Gaming Mouse Wired RGB PC Gaming Mice,Up to 7200 DPI, 8 Programmable Buttons,6 Color Backlight, Ergonomic Optical Computer Wired Mouse with Fire Button for Desktop PC Laptop Gamer & Work",
                  "url": "https://www.amazon.com/LeadsaiL-Programmable-Backlight-Ergonomic-Computer/dp/B09172433Z/ref=sxin_15_di_pb_search_recs?cv_ct_cx=deathadder+white&keywords=deathadder+white&pd_rd_i=B09172433Z&pd_rd_r=e30b2106-aab5-4426-bfd3-1202ec464533&pd_rd_w=QgwBR&pd_rd_wg=XFufD&pf_rd_p=ec3e351a-1659-4d86-8716-b7950df74f2f&pf_rd_r=TG4NJJHY46P15W260V02&qid=1643853658&sr=1-1-63cb1838-0ff5-4482-a1a4-8509dbc5646f",
                  "description": null,
                  "asin": "B09172433Z",
                  "image_url": null,
                  "price_from": 12.99,
                  "price_to": 36.99,
                  "currency": "USD",
                  "special_offers": [
                    "Save 69%"
                  ],
                  "is_best_seller": false,
                  "is_amazon_choice": false,
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4,
                    "votes_count": 64,
                    "rating_max": 5
                  },
                  "delivery_info": null
                },
                "2": {
                  "se_type": "amazon",
                  "type": "amazon_serp",
                  "rank_group": 21,
                  "rank_absolute": 27,
                  "position": "left",
                  "xpath": "/html[1]/body[1]/div[1]/div[2]/div[1]/div[1]/div[1]/span[3]/div[2]/div[9]",
                  "domain": "www.amazon.com",
                  "title": "Logitech G502 HERO High Performance Wired Gaming Mouse, HERO 25K Sensor, 25,600 DPI, RGB, Adjustable Weights, 11 Programmable Buttons, On-Board Memory, PC / Mac",
                  "url": "https://www.amazon.com/Logitech-G502-Performance-Gaming-Mouse/dp/B07GBZ4Q68/ref=sr_1_22?keywords=deathadder+white&qid=1643853660&sr=8-22",
                  "description": null,
                  "asin": "B07GBZ4Q68",
                  "image_url": null,
                  "price_from": 39.99,
                  "price_to": null,
                  "currency": "USD",
                  "special_offers": null,
                  "is_best_seller": true,
                  "is_amazon_choice": false,
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4,
                    "votes_count": 27509,
                    "rating_max": 5
                  },
                  "delivery_info": null
                },
                "3": {
                  "se_type": "amazon",
                  "type": "amazon_serp",
                  "rank_group": 23,
                  "rank_absolute": 29,
                  "position": "left",
                  "xpath": "/html[1]/body[1]/div[1]/div[2]/div[1]/div[1]/div[1]/span[3]/div[2]/div[11]",
                  "domain": "www.amazon.com",
                  "title": "Logitech G Pro Wireless Gaming Mouse with Esports Grade Performance",
                  "url": "https://www.amazon.com/Logitech-Wireless-Gaming-Esports-Performance/dp/B07GCKQD77/ref=sr_1_24?keywords=deathadder+white&qid=1643853660&sr=8-24",
                  "description": null,
                  "asin": "B07GCKQD77",
                  "image_url": null,
                  "price_from": 99.99,
                  "price_to": null,
                  "currency": "USD",
                  "special_offers": null,
                  "is_best_seller": false,
                  "is_amazon_choice": false,
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4,
                    "votes_count": 9611,
                    "rating_max": 5
                  },
                  "delivery_info": null
                }
              }
            },
            {
              "se_type": "amazon",
              "keyword_data": {
                "se_type": "amazon",
                "keyword": "pc mouse gaming",
                "location_code": 2840,
                "language_code": "en",
                "keyword_info": {
                  "se_type": "amazon",
                  "last_updated_time": "2022-02-05 18:00:12 +00:00",
                  "search_volume": 500
                }
              },
              "intersection_result": {
                "1": {
                  "se_type": "amazon",
                  "type": "amazon_serp",
                  "rank_group": 4,
                  "rank_absolute": 6,
                  "position": "left",
                  "xpath": "/html[1]/body[1]/div[1]/div[2]/div[1]/div[1]/div[1]/span[3]/div[2]/div[6]",
                  "domain": "www.amazon.com",
                  "title": "LeadsaiL Gaming Mouse Wired RGB PC Gaming Mice,Up to 7200 DPI, 8 Programmable Buttons,6 Color Backlight, Ergonomic Optical Computer Wired Mouse with Fire Button for Desktop PC Laptop Gamer & Work",
                  "url": "https://www.amazon.com/LeadsaiL-Programmable-Backlight-Ergonomic-Computer/dp/B09172433Z/ref=sxin_13_trfob_obrv2_1_B09172433Z?cv_ct_cx=pc+mouse+gaming&keywords=pc+mouse+gaming&pd_rd_i=B09172433Z&pd_rd_r=5deffff8-ba45-4a73-bca2-6957fb9e1b70&pd_rd_w=szYDi&pd_rd_wg=QEJv5&pf_rd_p=a887b062-8f63-46d7-8fe0-a2498f660d8b&pf_rd_r=FD3ZN0CJGN84D8AR5TPM&qid=1643883283&sr=1-1-fce42522-50ed-4c3a-b4cc-39c8aaa1be5f",
                  "description": null,
                  "asin": "B09172433Z",
                  "image_url": null,
                  "price_from": 12.99,
                  "price_to": 87.98,
                  "currency": "USD",
                  "special_offers": null,
                  "is_best_seller": false,
                  "is_amazon_choice": false,
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4,
                    "votes_count": 610,
                    "rating_max": 5
                  },
                  "delivery_info": null
                },
                "2": {
                  "se_type": "amazon",
                  "type": "amazon_serp",
                  "rank_group": 1,
                  "rank_absolute": 3,
                  "position": "left",
                  "xpath": "/html[1]/body[1]/div[1]/div[2]/div[1]/div[1]/div[1]/span[3]/div[2]/div[3]",
                  "domain": "www.amazon.com",
                  "title": "Logitech G502 HERO High Performance Wired Gaming Mouse, HERO 25K Sensor, 25,600 DPI, RGB, Adjustable Weights, 11 Programmable Buttons, On-Board Memory, PC / Mac",
                  "url": "https://www.amazon.com/Logitech-G502-Performance-Gaming-Mouse/dp/B07GBZ4Q68/ref=sr_1_3?keywords=pc+mouse+gaming&qid=1643883283&sr=8-3",
                  "description": null,
                  "asin": "B07GBZ4Q68",
                  "image_url": null,
                  "price_from": 39.9,
                  "price_to": null,
                  "currency": "USD",
                  "special_offers": null,
                  "is_best_seller": false,
                  "is_amazon_choice": true,
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4,
                    "votes_count": 27510,
                    "rating_max": 5
                  },
                  "delivery_info": null
                },
                "3": {
                  "se_type": "amazon",
                  "type": "amazon_serp",
                  "rank_group": 54,
                  "rank_absolute": 74,
                  "position": "left",
                  "xpath": "/html[1]/body[1]/div[1]/div[2]/div[1]/div[1]/div[1]/span[3]/div[2]/div[20]",
                  "domain": "www.amazon.com",
                  "title": "Logitech G Pro Wireless Gaming Mouse with Esports Grade Performance",
                  "url": "https://www.amazon.com/Logitech-Wireless-Gaming-Esports-Performance/dp/B07GCKQD77/ref=sr_1_52?keywords=pc+mouse+gaming&qid=1643883285&sr=8-52",
                  "description": null,
                  "asin": "B07GCKQD77",
                  "image_url": null,
                  "price_from": 99.99,
                  "price_to": null,
                  "currency": "USD",
                  "special_offers": null,
                  "is_best_seller": false,
                  "is_amazon_choice": false,
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4,
                    "votes_count": 9613,
                    "rating_max": 5
                  },
                  "delivery_info": null
                }
              }
            },
            {
              "se_type": "amazon",
              "keyword_data": {
                "se_type": "amazon",
                "keyword": "g502 lightspeed",
                "location_code": 2840,
                "language_code": "en",
                "keyword_info": {
                  "se_type": "amazon",
                  "last_updated_time": "2022-02-06 20:52:23 +00:00",
                  "search_volume": 200
                }
              },
              "intersection_result": {
                "1": {
                  "se_type": "amazon",
                  "type": "amazon_serp",
                  "rank_group": 5,
                  "rank_absolute": 7,
                  "position": "left",
                  "xpath": "/html[1]/body[1]/div[1]/div[2]/div[1]/div[1]/div[1]/span[3]/div[2]/div[9]",
                  "domain": "www.amazon.com",
                  "title": "LeadsaiL Gaming Mouse Wired RGB PC Gaming Mice,Up to 7200 DPI, 8 Programmable Buttons,6 Color Backlight, Ergonomic Optical Computer Wired Mouse with Fire Button for Desktop PC Laptop Gamer & Work",
                  "url": "https://www.amazon.com/LeadsaiL-Programmable-Backlight-Ergonomic-Computer/dp/B09172433Z/ref=sxin_15_di_pb_search_recs?cv_ct_cx=g502+lightspeed&keywords=g502+lightspeed&pd_rd_i=B09172433Z&pd_rd_r=c1333c0c-7e92-4e3a-9ead-fa167f249beb&pd_rd_w=d0Q4z&pd_rd_wg=ly7gP&pf_rd_p=ec3e351a-1659-4d86-8716-b7950df74f2f&pf_rd_r=Q2A496FWEP0NR9PR01ZP&qid=1643861727&sr=1-1-63cb1838-0ff5-4482-a1a4-8509dbc5646f",
                  "description": null,
                  "asin": "B09172433Z",
                  "image_url": null,
                  "price_from": 12.99,
                  "price_to": 87.98,
                  "currency": "USD",
                  "special_offers": null,
                  "is_best_seller": false,
                  "is_amazon_choice": false,
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4,
                    "votes_count": 610,
                    "rating_max": 5
                  },
                  "delivery_info": null
                },
                "2": {
                  "se_type": "amazon",
                  "type": "amazon_serp",
                  "rank_group": 4,
                  "rank_absolute": 6,
                  "position": "left",
                  "xpath": "/html[1]/body[1]/div[1]/div[2]/div[1]/div[1]/div[1]/span[3]/div[2]/div[8]",
                  "domain": "www.amazon.com",
                  "title": "Logitech G502 HERO High Performance Wired Gaming Mouse, HERO 25K Sensor, 25,600 DPI, RGB, Adjustable Weights, 11 Programmable Buttons, On-Board Memory, PC / Mac",
                  "url": "https://www.amazon.com/Logitech-G502-Performance-Gaming-Mouse/dp/B07GBZ4Q68/ref=sxin_14_cpf_saw-CPFPecos-dsk-lmlk-asin?cv_ct_cx=g502+lightspeed&keywords=g502+lightspeed&pd_rd_i=B07GBZ4Q68&pd_rd_r=c1333c0c-7e92-4e3a-9ead-fa167f249beb&pd_rd_w=NrAe0&pd_rd_wg=ly7gP&pf_rd_p=3171e255-0ecb-47e8-9210-cfa1596239ed&pf_rd_r=Q2A496FWEP0NR9PR01ZP&qid=1643861727&sr=1-1-88bb4e7b-fb79-43dc-9dec-6da196f88672",
                  "description": null,
                  "asin": "B07GBZ4Q68",
                  "image_url": null,
                  "price_from": 29.95,
                  "price_to": 171.99,
                  "currency": "USD",
                  "special_offers": null,
                  "is_best_seller": false,
                  "is_amazon_choice": false,
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4,
                    "votes_count": 7607,
                    "rating_max": 5
                  },
                  "delivery_info": null
                },
                "3": {
                  "se_type": "amazon",
                  "type": "amazon_serp",
                  "rank_group": 45,
                  "rank_absolute": 63,
                  "position": "left",
                  "xpath": "/html[1]/body[1]/div[1]/div[2]/div[1]/div[1]/div[1]/span[3]/div[2]/div[18]",
                  "domain": "www.amazon.com",
                  "title": "Logitech G Pro Wireless Gaming Mouse with Esports Grade Performance",
                  "url": "https://www.amazon.com/Logitech-Wireless-Gaming-Esports-Performance/dp/B07GCKQD77/ref=sr_1_47?keywords=g502+lightspeed&qid=1643861733&sr=8-47",
                  "description": null,
                  "asin": "B07GCKQD77",
                  "image_url": null,
                  "price_from": 99.99,
                  "price_to": null,
                  "currency": "USD",
                  "special_offers": null,
                  "is_best_seller": false,
                  "is_amazon_choice": false,
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4,
                    "votes_count": 9611,
                    "rating_max": 5
                  },
                  "delivery_info": null
                }
              }
            },
            {
              "se_type": "amazon",
              "keyword_data": {
                "se_type": "amazon",
                "keyword": "air 58 mouse",
                "location_code": 2840,
                "language_code": "en",
                "keyword_info": {
                  "se_type": "amazon",
                  "last_updated_time": "2022-02-04 12:39:47 +00:00",
                  "search_volume": 100
                }
              },
              "intersection_result": {
                "1": {
                  "se_type": "amazon",
                  "type": "amazon_serp",
                  "rank_group": 5,
                  "rank_absolute": 7,
                  "position": "left",
                  "xpath": "/html[1]/body[1]/div[1]/div[2]/div[1]/div[1]/div[1]/span[3]/div[2]/div[7]",
                  "domain": "www.amazon.com",
                  "title": "LeadsaiL Gaming Mouse Wired RGB PC Gaming Mice,Up to 7200 DPI, 8 Programmable Buttons,6 Color Backlight, Ergonomic Optical Computer Wired Mouse with Fire Button for Desktop PC Laptop Gamer & Work",
                  "url": "https://www.amazon.com/LeadsaiL-Programmable-Backlight-Ergonomic-Computer/dp/B09172433Z/ref=sxin_14_di_pb_search_recs?cv_ct_cx=air+58+mouse&keywords=air+58+mouse&pd_rd_i=B09172433Z&pd_rd_r=36b4dac6-ba4b-43a2-bf49-d0408d875df1&pd_rd_w=OWH0l&pd_rd_wg=GN5FH&pf_rd_p=ec3e351a-1659-4d86-8716-b7950df74f2f&pf_rd_r=CZ3TX1TJE10YN2W7QJ7N&qid=1643911571&sr=1-1-63cb1838-0ff5-4482-a1a4-8509dbc5646f",
                  "description": null,
                  "asin": "B09172433Z",
                  "image_url": null,
                  "price_from": 12.99,
                  "price_to": 36.99,
                  "currency": "USD",
                  "special_offers": null,
                  "is_best_seller": false,
                  "is_amazon_choice": false,
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4,
                    "votes_count": 64,
                    "rating_max": 5
                  },
                  "delivery_info": null
                },
                "2": {
                  "se_type": "amazon",
                  "type": "amazon_serp",
                  "rank_group": 14,
                  "rank_absolute": 18,
                  "position": "left",
                  "xpath": "/html[1]/body[1]/div[1]/div[2]/div[1]/div[1]/div[1]/span[3]/div[2]/div[17]",
                  "domain": "www.amazon.com",
                  "title": "Logitech G502 HERO High Performance Wired Gaming Mouse, HERO 25K Sensor, 25,600 DPI, RGB, Adjustable Weights, 11 Programmable Buttons, On-Board Memory, PC / Mac",
                  "url": "https://www.amazon.com/Logitech-G502-Performance-Gaming-Mouse/dp/B07GBZ4Q68/ref=sr_1_15?keywords=air+58+mouse&qid=1643911571&sr=8-15",
                  "description": null,
                  "asin": "B07GBZ4Q68",
                  "image_url": null,
                  "price_from": 39.9,
                  "price_to": null,
                  "currency": "USD",
                  "special_offers": null,
                  "is_best_seller": true,
                  "is_amazon_choice": false,
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4,
                    "votes_count": 27529,
                    "rating_max": 5
                  },
                  "delivery_info": null
                },
                "3": {
                  "se_type": "amazon",
                  "type": "amazon_serp",
                  "rank_group": 12,
                  "rank_absolute": 16,
                  "position": "left",
                  "xpath": "/html[1]/body[1]/div[1]/div[2]/div[1]/div[1]/div[1]/span[3]/div[2]/div[15]",
                  "domain": "www.amazon.com",
                  "title": "Logitech G Pro Wireless Gaming Mouse with Esports Grade Performance",
                  "url": "https://www.amazon.com/Logitech-Wireless-Gaming-Esports-Performance/dp/B07GCKQD77/ref=sr_1_13?keywords=air+58+mouse&qid=1643911571&sr=8-13",
                  "description": null,
                  "asin": "B07GCKQD77",
                  "image_url": null,
                  "price_from": 99.99,
                  "price_to": null,
                  "currency": "USD",
                  "special_offers": null,
                  "is_best_seller": false,
                  "is_amazon_choice": false,
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4,
                    "votes_count": 9618,
                    "rating_max": 5
                  },
                  "delivery_info": null
                }
              }
            },
            {
              "se_type": "amazon",
              "keyword_data": {
                "se_type": "amazon",
                "keyword": "mouse gaming",
                "location_code": 2840,
                "language_code": "en",
                "keyword_info": {
                  "se_type": "amazon",
                  "last_updated_time": "2022-02-06 20:25:27 +00:00",
                  "search_volume": null
                }
              },
              "intersection_result": {
                "1": {
                  "se_type": "amazon",
                  "type": "amazon_serp",
                  "rank_group": 6,
                  "rank_absolute": 8,
                  "position": "left",
                  "xpath": "/html[1]/body[1]/div[1]/div[2]/div[1]/div[1]/div[1]/span[3]/div[2]/div[8]/div[1]/div[1]/div[1]/span[1]/div[1]/div[1]/div[1]/div[1]/div[1]/ol[1]/li[2]/div[1]",
                  "domain": "www.amazon.com",
                  "title": "LeadsaiL Gaming Mouse Wired RGB PC Gaming Mice,Up to 7200 DPI, 8 Programmable Buttons,6 Color Backlight, Ergonomic Optical Computer Wired Mouse with Fire Button for Desktop PC Laptop Gamer & Work",
                  "url": "https://www.amazon.com/LeadsaiL-Programmable-Backlight-Ergonomic-Computer/dp/B09172433Z/ref=sxin_15_trfob_2_B09172433Z?cv_ct_cx=mouse+gaming&keywords=mouse+gaming&pd_rd_i=B09172433Z&pd_rd_r=0dd293c1-24d3-47dc-b4cd-4828e32ab648&pd_rd_w=rqn8w&pd_rd_wg=KZ5fh&pf_rd_p=0dc59f75-fada-4029-a49b-e310bac24833&pf_rd_r=BT7W1VC98N8R9QHWA1K8&qid=1643844694&sr=1-2-779c4a77-ae2e-4faf-af8e-8d45307223b3",
                  "description": null,
                  "asin": "B09172433Z",
                  "image_url": null,
                  "price_from": 12.99,
                  "price_to": null,
                  "currency": "USD",
                  "special_offers": null,
                  "is_best_seller": false,
                  "is_amazon_choice": false,
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4,
                    "votes_count": 65,
                    "rating_max": 5
                  },
                  "delivery_info": null
                },
                "2": {
                  "se_type": "amazon",
                  "type": "amazon_serp",
                  "rank_group": 1,
                  "rank_absolute": 3,
                  "position": "left",
                  "xpath": "/html[1]/body[1]/div[1]/div[2]/div[1]/div[1]/div[1]/span[3]/div[2]/div[3]",
                  "domain": "www.amazon.com",
                  "title": "Logitech G502 HERO High Performance Wired Gaming Mouse, HERO 25K Sensor, 25,600 DPI, RGB, Adjustable Weights, 11 Programmable Buttons, On-Board Memory, PC / Mac",
                  "url": "https://www.amazon.com/Logitech-G502-Performance-Gaming-Mouse/dp/B07GBZ4Q68/ref=sr_1_3?keywords=mouse+gaming&qid=1643844694&sr=8-3",
                  "description": null,
                  "asin": "B07GBZ4Q68",
                  "image_url": null,
                  "price_from": 39.9,
                  "price_to": null,
                  "currency": "USD",
                  "special_offers": null,
                  "is_best_seller": true,
                  "is_amazon_choice": false,
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4,
                    "votes_count": 27509,
                    "rating_max": 5
                  },
                  "delivery_info": null
                },
                "3": {
                  "se_type": "amazon",
                  "type": "amazon_serp",
                  "rank_group": 66,
                  "rank_absolute": 90,
                  "position": "left",
                  "xpath": "/html[1]/body[1]/div[1]/div[2]/div[1]/div[1]/div[1]/span[3]/div[2]/div[13]",
                  "domain": "www.amazon.com",
                  "title": "Logitech G Pro Wireless Gaming Mouse with Esports Grade Performance",
                  "url": "https://www.amazon.com/Logitech-Wireless-Gaming-Esports-Performance/dp/B07GCKQD77/ref=sr_1_61?keywords=mouse+gaming&qid=1643844699&sr=8-61",
                  "description": null,
                  "asin": "B07GCKQD77",
                  "image_url": null,
                  "price_from": null,
                  "price_to": null,
                  "currency": null,
                  "special_offers": null,
                  "is_best_seller": false,
                  "is_amazon_choice": false,
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4,
                    "votes_count": 9611,
                    "rating_max": 5
                  },
                  "delivery_info": null
                }
              }
            }
          ]
        }
      ]
    }
  ]
}